package com.shcd.enums;

import lombok.Getter;

@Getter
public enum GhjgPortThreeUrl {
  SHORE_POWER("http://106.15.62.234:6060/shorepower/v1/query_token", "岸电数据获取token接口"),
  PROXY_SHORE_POWER("172.31.233.22:8092/shorePowerApi/query_token", "岸电数据获取token接口"),
  CHANG_HANG_PORT_INFO("http://106.15.62.234:6060/shorepower/v1/notification_changhang_port",
      "长航 - 港口信息设备查询"),
  PROXY_CHANG_HANG_PORT_INFO("172.31.233.22:8092/shorePowerApi/notification_changhang_port",
      "长航 - 港口信息设备查询"),
  CHANG_HANG_BERTH_INFO("http://106.15.62.234:6060/shorepower/v1/notification_changhang_berth",
      "长航 - 泊位信息设备查询"),
  PROXY_CHANG_HANG_BERTH_INFO("172.31.233.22:8092/shorePowerApi/notification_changhang_berth",
      "长航 - 泊位信息设备查询"),
  CHANG_HANG_DEVICE_INFO("http://106.15.62.234:6060/shorepower/v1/notification_changhang_device",
      "长航 - 设备信息设备查询"),
  PROXY_CHANG_HANG_DEVICE_INFO("172.31.233.22:8092/shorePowerApi/notification_changhang_device",
      "长航 - 设备信息设备查询"),
  QUERY_CONNECTOR_STATUS_INFO("http://106.15.62.234:6060/shorepower/v1/query_connector_status_info",
      "岸电设备接口状态信息查询"),
  PROXY_QUERY_CONNECTOR_STATUS_INFO("172.31.233.22:8092/shorePowerApi/query_connector_status_info",
      "岸电设备接口状态信息查询"),
  QUERY_CONNRECORD_INFO("http://106.15.62.234:6060/shorepower/v1/query_connRecord_info",
      "连船记录信息查询"),
  PROXY_QUERY_CONNRECORD_INFO("172.31.233.22:8092/shorePowerApi/query_connRecord_info",
      "连船记录信息查询"),
  USED_RECEIPT("https://andian.evchargeonline.com/api/tShorePowerUsedReceipt", "交接单"),
  QUERY_CONNECTOR_INFO("http://106.15.62.234:6060/shorepower/v1/query_device_connector_info",
      "岸电设备接口信息查询"),
  PROXY_QUERY_CONNECTOR_INFO("172.31.233.22:8092/shorePowerApi/query_device_connector_info",
      "岸电设备接口信息查询"),
  PORT_INFO("http://106.15.62.234:6060/shorepower/v1/query_port_info",
      "岸电 - 港口信息查询"),
  PROXY_PORT_INFO("172.31.233.22:8092/shorePowerApi/query_port_info",
      "岸电 - 港口信息查询"),
  BERTH_INFO("http://106.15.62.234:6060/shorepower/v1/query_berth_info",
      "岸电 - 泊位信息查询"),
  PROXY_BERTH_INFO("172.31.233.22:8092/shorePowerApi/query_berth_info",
      "岸电 - 泊位信息查询"),
  DEVICE_INFO("http://106.15.62.234:6060/shorepower/v1/query_device_info",
      "岸电 - 设备信息查询"),
  PROXY_DEVICE_INFO("172.31.233.22:8092/shorePowerApi/query_device_info",
      "岸电 - 设备信息查询"),
  FILL_IN_THE_BERTHS_MANUALLY(
      "http://106.15.62.234:6060/shorepower/v1/query_userBerth_record_info",
      "3.12手动填报泊位（月度）信息查询"),
  PROXY_FILL_IN_THE_BERTHS_MANUALLY("172.31.233.22:8092/shorePowerApi/query_userBerth_record_info",
      "3.12手动填报泊位（月度）信息查询"),
  TOKEN_KEY("1234567890abcdef", "岸电token密钥");

  String url;
  String description;

  GhjgPortThreeUrl(String url, String description) {
    this.url = url;
    this.description = description;
  }
}
